%define upstream_name    TestML
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Module::Install Support for TestML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Pegex) >= 0.210.0
BuildArch:  noarch

%description
TestML is a generic, programming language agnostic, meta language for
writing unit tests. The idea is that you can use the same test files in
multiple implementations of a given programming idea. Then you can be more
certain that your application written in, say, Python matches your Perl
implementation.

In a nutshell you write a bunch of data tests that have inputs and expected
results. Using a simple syntax, you specify what functions the data must
pass through to produce the expected results. You use a bridge class to
write the data transform functions that pass the data through your
application.

In Perl 5, TestML is the evolution of the the Test::Base manpage module. It
has a superset of Test:Base's goals. The data markup syntax is currently
exactly the same as Test::Base.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 515480
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 373962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 shlomif <shlomif> 0.280.0-1.mga3
+ Revision: 316788
- SHA1
- New version 0.28

* Fri Sep 07 2012 shlomif <shlomif> 0.270.0-1.mga3
+ Revision: 289246
- update to 0.27

* Mon Jan 30 2012 shlomif <shlomif> 0.260.0-1.mga2
+ Revision: 203434
- imported package perl-TestML


* Mon Jan 30 2012 cpan2dist 0.26-1mga
- initial mageia release, generated with cpan2dist
